Arquivo da tag: xcode

Xcode – Corrigindo o erro “This certificate has an invalid issuer”

Olá,

A Apple possui um certificado “pai” ao qual sem este certificado ou com este certificado expirado, todos os outros se tornam inválidos.

O certificado “pai” conhecido como “WWDR Certificate” pode ser baixado gratuitamente e ao executá-lo, ele já deve ser instalado em seu KeyChain automaticamente.

Recentemente todo mundo começou a receber a mensagem de que o seu certificado estava inválido com a mensagem “This certificate has an invalid issuer” simplesmente “do nada”.

Mas na verdade o que aconteceu é que o “WWDR Certificate” expirou e agora há a necessidade de baixarmos o novo certificado com uma nova expiração. Neste novo certificado a expiração ocorrerá em 2023.

Para baixar acesse o link:

https://developer.apple.com/certificationauthority/AppleWWDRCA.cer

Basta executá-lo e o problema será resolvido.

Obrigado Vinícius (@vibrito) pela dica.

Obrigado e até o próximo post pessoal.

Xcode – Resolvendo o problema “[MT] PluginLoading: Required plug-in compatibility”

Olá,

Aqui vai uma dica para quem atualizou o Xcode e começou a receber o seguinte erro ao executar alguma coisa via linha de comando no terminal:

[MT] PluginLoading: Required plug-in compatibility UUID XYZ for plug-in at path XYZ

Basta seguir os passos:

1 – Abra o Terminal

2 – Execute:

XCODEUUID=`defaults read /Applications/Xcode.app/Contents/Info DVTPlugInCompatibilityUUID`

3 – Execute:

for f in ~/Library/Application\ Support/Developer/Shared/Xcode/Plug-ins/*; do defaults write "$f/Contents/Info" DVTPlugInCompatibilityUUIDs -array-add $XCODEUUID; done

 

Obrigado e até o próximo post pessoal.

 

Mobile – Nova versão do iPacote feito com Swift da Apple

Olá pessoal,

Acabou de ser aprovado meu primeiro aplicativo todo feito com Swift, a nova linguagem da Apple.

O aplicativo é o iPacote (http://ipacote.com/), disponível para iPhone/iPad.

Este aplicativo possui algumas particularidades, e a principal é sua estrutura que é montada dinamicamente por serviços web. Desde o menu, passando pelo módulo e fechando no resultado do módulo.

De tempos em tempos eu adicionarei módulos sem precisar subir uma versão específica do aplicativo.

Outro recurso interessante é que você pode escolher a cor do tema do aplicativo.

Aproveitem pessoal.

Obrigado e até o próximo post pessoal.

 

Cloud/Nuvem – Como instalar e configurar a biblioteca Parse do Facebook no Xcode

Olá pessoal,

Para que tem dificuldade de instalar a biblioteca Parse do Facebook para usar os recursos em nuvem/cloud desse SDK, segue os frameworks e bibliotecas que você precisa adicionar no seu projeto:

parse-frameworks

Após linkar essas bibliotecas, você pode usar qualquer recurso do Parse, inclusive os novos de CrashReporting.

Lembrando que: Os frameworks que vem no SDK do Parse precisam ser adicionados buscando pelos frameworks na pasta do SDK, eles não aparecem na lista de frameworks padrão do Xcode.

 

Obrigado e até o próximo post pessoal.